snd_pcm_lib_ioctl
Prev | Chapter 22. Sound Devices | Next

## Name

snd_pcm_lib_ioctl — a generic PCM ioctl callback

## Synopsis

`int snd_pcm_lib_ioctl (` | struct snd_pcm_substream * | substream,
| unsigned int | cmd,
| void * | arg`)`;

## Arguments

`substream`

  the pcm substream instance

`cmd`

  ioctl command

`arg`

  ioctl argument

## Description

Processes the generic ioctl commands for PCM. Can be passed as the ioctl callback for PCM ops.

Returns zero if successful, or a negative error code on failure.

Prev | Up | Next
snd_pcm_hw_param_last | Home | snd_pcm_period_elapsed